<template>
    <div>
        <!-- breadcrumb start -->
        <div class="breadcrumb-section">
            <div class="container">
                <div class="row">
                    <div class="col-sm-6">
                        <div class="page-title">
                            <h2>Profile</h2>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- breadcrumb End -->

        <!--  dashboard section start -->
        <section class="dashboard-section section-b-space">
            <div class="container">
                <div class="row">
                    <SidebarProfile :user="user"></SidebarProfile>
                    <div class="col-lg-9">
                        <div class="faq-content tab-content" id="top-tabContent">
                            <div class="tab-pane fade show active" id="profile">
                                <div class="row">
                                    <div class="col-12">
                                        <div class="card mt-0">
                                            <div class="card-body">
                                                <div class="dashboard-box">
                                                    <div class="dashboard-title">
                                                        <h4>Account Information</h4>
                                                    </div>
                                                    <div class="dashboard-detail">
                                                        <ul>
                                                            <fieldset class="form-group col-md-7">
                                                                <label for="name">Name</label>
                                                                <div class="input-group">
                                                                    <span class="input-group-prepend">
                                                                      <span class="input-group-text">
                                                                        <i class="fa fa-user-circle"></i>
                                                                      </span>
                                                                    </span>
                                                                    <input type="text" readonly class="form-control" id="name" v-model="user.name" name="name" placeholder="name" required>
                                                                </div>
                                                            </fieldset>
                                                            <fieldset class="form-group col-md-7">
                                                                <label for="email">Email</label>
                                                                <div class="input-group">
                                                                    <span class="input-group-prepend">
                                                                      <span class="input-group-text">
                                                                        <i class="fa fa-envelope"></i>
                                                                      </span>
                                                                    </span>
                                                                    <input type="email" readonly class="form-control" v-model="user.email" name="email" id="email" placeholder="email" required>
                                                                </div>
                                                            </fieldset>
                                                            <fieldset class="form-group col-md-7">
                                                                <label for="phone_number">Phone Number</label>
                                                                <div class="input-group">
                                                                    <span class="input-group-prepend">
                                                                      <span class="input-group-text">
                                                                        <i class="fa fa-phone-square"></i>
                                                                      </span>
                                                                        </span>
                                                                    <input type="text" readonly class="form-control" v-model="user.phone_number" required id="phone_number" name="phone_number" placeholder="1234">
                                                                </div>
                                                            </fieldset>
                                                            <div class="account-setting">
                                                                <h5>Gender</h5>
                                                                <div class="row">
                                                                    <div class="col">
                                                                        <div class="form-check">
                                                                            <input class="radio_animated form-check-input"
                                                                                   type="radio" name="gender" value="Male" checked>
                                                                            <label class="form-check-label">
                                                                                Male
                                                                            </label>
                                                                        </div>
                                                                        <div class="form-check">
                                                                            <input class="radio_animated form-check-input"
                                                                                   type="radio" name="gender" value="Female">
                                                                            <label class="form-check-label">
                                                                                Female
                                                                            </label>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <fieldset class="form-group col-md-7">
                                                                <label for="address">Address</label>
                                                                <div class="input-group">
                                                                    <span class="input-group-prepend">
                                                                      <span class="input-group-text">
                                                                        <i class="fa fa-home"></i>
                                                                      </span>
                                                                    </span>
                                                                    <textarea readonly class="form-control" v-model="user.address" required id="address" name="address" placeholder="your address here.."></textarea>
                                                                </div>
                                                            </fieldset>
                                                        </ul>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="tab-pane fade" id="orders">
                                <div class="row">
                                    <div class="col-12">
                                        <div class="card dashboard-table mt-0">
                                            <div class="card-body">
                                                <div class="top-sec">
                                                    <h3>Orders</h3>
                                                </div>
                                                <table class="table table-responsive-sm mb-0">
                                                    <thead>
                                                    <tr>
                                                        <th scope="col">Order Id</th>
                                                        <th scope="col">product details</th>
                                                        <th scope="col">price</th>
                                                        <th scope="col">status</th>
                                                    </tr>
                                                    </thead>
                                                    <tbody>
                                                    <tr>
                                                        <th scope="row">#125021</th>
                                                        <td>neck velvet dress</td>
                                                        <td>$205</td>
                                                        <td>shipped</td>
                                                    </tr>
                                                    <tr>
                                                        <th scope="row">#125021</th>
                                                        <td>neck velvet dress</td>
                                                        <td>$205</td>
                                                        <td>shipped</td>
                                                    </tr>
                                                    <tr>
                                                        <th scope="row">#125021</th>
                                                        <td>neck velvet dress</td>
                                                        <td>$205</td>
                                                        <td>shipped</td>
                                                    </tr>
                                                    <tr>
                                                        <th scope="row">#125021</th>
                                                        <td>neck velvet dress</td>
                                                        <td>$205</td>
                                                        <td>shipped</td>
                                                    </tr>
                                                    <tr>
                                                        <th scope="row">#125021</th>
                                                        <td>neck velvet dress</td>
                                                        <td>$205</td>
                                                        <td>shipped</td>
                                                    </tr>
                                                    <tr>
                                                        <th scope="row">#125021</th>
                                                        <td>neck velvet dress</td>
                                                        <td>$205</td>
                                                        <td>shipped</td>
                                                    </tr>
                                                    <tr>
                                                        <th scope="row">#125021</th>
                                                        <td>neck velvet dress</td>
                                                        <td>$205</td>
                                                        <td>shipped</td>
                                                    </tr>
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="tab-pane fade" id="change-pass">
                                <div class="row">
                                    <div class="col-12">
                                        <div class="card dashboard-table mt-0">
                                            <div class="card-body">
                                                <div class="top-sec">
                                                    <h3>Change Password</h3>
                                                </div>
                                                <form ref="user_password_change" method="post" action="javascript:void(0);">
                                                    <center><label id="error"></label></center>
                                                    <div class="form-group">
                                                        <fieldset class="form-group col-md-10">
                                                            <label>Old Password</label>
                                                            <div class="input-group">
                                                                <span class="input-group-prepend">
                                                                  <span class="input-group-text">
                                                                    <i class="fa fa-key"></i>
                                                                  </span>
                                                                    </span>
                                                                <input type="password" v-model ="old_password" id="old_password" class="form-control" name="old_password" required placeholder="old password" autofocus>
                                                            </div>
                                                        </fieldset>
                                                        <fieldset class="form-group col-md-10">
                                                            <label>New Password</label>
                                                            <div class="input-group">
                                                            <span class="input-group-prepend">
                                                              <span class="input-group-text">
                                                                <i class="fa fa-lock"></i>
                                                              </span>
                                                                </span>
                                                                <input type="password" v-model ="password" id="password" class="form-control" name="password" required placeholder="New Password">
                                                            </div>
                                                        </fieldset>
                                                        <fieldset class="form-group col-md-10">
                                                            <label>Confirm Password</label>
                                                            <div class="input-group">
                                                            <span class="input-group-prepend">
                                                              <span class="input-group-text">
                                                                <i class="fa fa-lock"></i>
                                                              </span>
                                                                </span>
                                                                <input type="password" v-model ="password_confirmation" id="password_confirmation" class="form-control" name="password_confirmation" required placeholder="Confirm Password">
                                                            </div>
                                                        </fieldset>
                                                        <fieldset class="form-group col-md-10">
                                                            <input type="submit" id="submit" @click="changePassword" class="form-control btn btn-secondary">
                                                        </fieldset>
                                                    </div>
                                                </form>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="tab-pane fade" id="settings">
                                <div class="row">
                                    <div class="col-12">
                                        <div class="card mt-0">
                                            <div class="card-body">
                                                <div class="dashboard-box">
                                                    <div class="dashboard-title">
                                                        <h4>settings</h4>
                                                    </div>
                                                    <div class="dashboard-detail">
                                                        <div class="account-setting">
                                                            <h5>Notifications</h5>
                                                            <div class="row">
                                                                <div class="col">
                                                                    <div class="form-check">
                                                                        <input class="radio_animated form-check-input"
                                                                               type="radio" name="notification"
                                                                               id="exampleRadios2" value="option2">
                                                                        <label class="form-check-label"
                                                                               for="exampleRadios2">
                                                                            Enable Notifications
                                                                        </label>
                                                                    </div>
                                                                    <div class="form-check">
                                                                        <input class="radio_animated form-check-input"
                                                                               type="radio" name="notification"
                                                                               id="exampleRadios3" value="option3">
                                                                        <label class="form-check-label"
                                                                               for="exampleRadios3">
                                                                            Disable notification
                                                                        </label>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!--  dashboard section end -->

        <!-- Modal start -->
        <div class="modal logout-modal fade" id="logout" tabindex="-1" role="dialog">
            <div class="modal-dialog modal-dialog-centered" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Logging Out</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        Do you want to log out?
                    </div>
                    <div class="modal-footer">
                        <a href="javascript:void(0)" class="btn btn-dark btn-custom" data-dismiss="modal">no</a>
                        <a href="/" class="btn btn-solid btn-custom">yes</a>
                    </div>
                </div>
            </div>
        </div>
        <!-- modal end -->
    </div>
</template>

<script>
    import MainComponent from "../MainComponent";
    import SidebarProfile from "./SidebarProfile";
    import {EventBus} from "../event-bus";
    import Toaster from 'v-toaster'
    import 'v-toaster/dist/v-toaster.css';
    Vue.use(Toaster, {timeout: 3000});
    export default {
        created(){
            this.infoGet();
        },
        updated(){
            this.infoGet();
        },
        data(){
            return{
                user: {},
                error:'',
                old_password:'',
                password:'',
                password_confirmation:'',
            }
        },
        methods:{
            infoGet(){
              axios.get('/user/info').then((response)=>{
                  this.user=response.data;
              })
            },
            changePassword(e){
                e.preventDefault();
                axios.post('/user/change/password', new FormData(this.$refs.user_password_change)).then((response)=>{
                    this.old_password='';
                    this.password='';
                    this.password_confirmation='';
                    response.data.forEach((val,key)=>{
                        this.$toaster.error(val);
                    });
                })
            },
        },
        components:{MainComponent,SidebarProfile},
    }
</script>
